Bug 18161 - "cvs diff" with two "-r" switches and unknown file lacks error
Summary: "cvs diff" with two "-r" switches and unknown file lacks error
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: cvs   
(Show other bugs)
Version: 8.0
Hardware: i386 Linux
medium
low
Target Milestone: ---
Assignee: Martin Stransky
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-10-03 00:48 UTC by Need Real Name
Modified: 2007-04-18 16:28 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-19 10:05:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch (960 bytes, patch)
2005-12-15 14:26 UTC, Martin Stransky
no flags Details | Diff

Description Need Real Name 2000-10-03 00:48:16 UTC
In CVS client version 1.10.7:

You will not receive an error message stating that "notafile" doesn't
exist, if you run:
cvs diff -r 1.1 -r 1.2 notafile

If you run the following commands, you will correctly receive an error:
cvs diff -r 1.1 notafile
cvs diff -r notafile

Comment 1 Nalin Dahyabhai 2000-10-06 02:29:48 UTC
Still present in 1.10.8.  Will need to investigate.

Comment 2 Alan Cox 2002-12-15 02:04:50 UTC
Still present in 8.0


Comment 3 Martin Stransky 2005-12-15 14:26:53 UTC
Created attachment 122282 [details]
Proposed patch


Note You need to log in before you can comment on or make changes to this bug.